!---------------------------------------------------------------------
!     Copyright (C) GFD Dennou Club, 2004. All rights reserved.
!---------------------------------------------------------------------
                                                                 !=begin
!= Module ExpName
!
!   * Developer: SUGIYAMA Ko-ichiro (sugiyama@gfd-dennou.org)
!   * Version: $Id: expname.f90,v 1.4 2005/02/02 10:07:26 odakker Exp $ 
!   * Tag Name: $Name:  $
!   * Change History: 
!
!== Overview 
!
! netCDF ե˵ܤ¸ NAMELIST . 
!
!== Error Handling
!
!== Known Bugs
!
!== Note
!
!== Future Plans
!
                                                                 !=end

module expname
  implicit none
  save
                                                                 !=begin
  !== Public Interface
  character(80) :: ExpTitle  !ǡɽ
  character(80) :: ExpSrc    !ǡ
  character(80) :: ExpInst   !ǽѹԡȿ
                                                                 !=end
contains
                                                                 !=begin
  !== Procedure Interface 
  !
  !=== Initialize module and acquire NAMELIST
  !
  !netCDF ˽񤭹¸̾ NAMELIST ɤ߹
  !
  subroutine expname_init(cfgfile)

    !== Dependency
    use dc_trace,      only: BeginSub, EndSub 

    !=== Input
    character(*), intent(in) :: cfgfile
    
    !=== NAMELIST
    NAMELIST /expname/ ExpTitle, ExpSrc, ExpInst
                                                                 !=end        

    call BeginSub("expname_init", &
&                 fmt="%c",       &
&                 c1="Initialize experiment setup comment.")

    open (10, FILE=cfgfile)
    read(10, NML=expname)
    close(10)

    call EndSub("expname_init")

  end subroutine expname_init

end module expname

